import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.io.UnsupportedEncodingException;


public class FileCharSetConvert {
	
	private String inputFilePath;
	private String outputFilePath;
	private String SOURCECHARSET = "8859_1";
	private String TARGETCHARSET = "euc-kr";
	
		
	public FileCharSetConvert(String inputFilePath, String outputFilePath){		
	
		this.inputFilePath = inputFilePath;
		this.outputFilePath = outputFilePath;
		
	}

	public void setSourceCharset(String charset) {
		this.SOURCECHARSET = charset;
	}
	
	
	public void setTargetCharset(String charset) {
		this.TARGETCHARSET = charset;
	}
	
	public void setInputFilePath(String path){
		this.inputFilePath = path;
	}
	
	public void setOutputFilePaht(String path){
		this.outputFilePath = path;
	}
	
	public void convert() throws IOException{
		
		File inputFile  = new File(inputFilePath);
        File outputFile = new File(outputFilePath);    
        
        FileInputStream  fis = null;
        FileOutputStream fos = null;
        InputStreamReader isr = null;
        OutputStreamWriter osw = null; 
        BufferedReader br = null;
        BufferedWriter bw = null;   
        
        try{
	       
        	fis = new FileInputStream(inputFile);
	        fos = new FileOutputStream(outputFile);
	        
	        isr = new InputStreamReader(fis);
	        osw = new OutputStreamWriter(fos);
	        
	        br = new BufferedReader(isr);
	        bw = new BufferedWriter(osw);
	        
	        String str;
            while(br.ready()){
            	str = new String(br.readLine().getBytes(SOURCECHARSET), TARGETCHARSET).concat("\n");                
                System.out.print(str);
                bw.write(str);                          
            }            
	        
        }finally{
        	
        	 if(bw!=null) bw.close();         
             if(br!=null) br.close();
             
             if(osw!=null) osw.close();            
             if(isr!=null) isr.close();
             
             if(fos!=null) fos.close();            
             if(fis!=null) fis.close();
        }
		
	}
	
	public static void main(String[] args) throws IOException {
        
		FileCharSetConvert fc = new FileCharSetConvert("D:/XMall2/svc/workspace/xmalldoc/godomal.sql", 
				"D:/XMall2/svc/workspace/xmalldoc/godomal2.sql");
		
        fc.convert();

	}

}
